Bug 132668 - default yum.conf on x86_64 should include i386 repos
default yum.conf on x86_64 should include i386 repos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 14:06 EDT by Andy Grover
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:17:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2004-09-15 14:06:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I just got an x86_64 box and installed fc2. No problems.

however, doing yum update returns this error:

....unable to satisfy dependencies
package samba needs samba-common = 0:3.0.3, this is not available.


Version-Release number of selected component (if applicable):
samba-3.0.3

How reproducible:
Always

Steps to Reproduce:
1. install fc2 on x86_64
2. yum update
3.
    

Actual Results:  the above error msg

Expected Results:  all rpms updated

Additional info:
Comment 1 Jay Fenlason 2004-09-17 11:52:46 EDT
You probably have both the i386 and the x86_64 versions of samba 
installed, but the yum repository you are pointing at only contains 
the x86_64 rpms.  Run the command 
rpm -a -q --queryformat "%{name}-%{version}-%{release}-%{arch}\n" | 
egrep samba 
to see the Samba rpms you have installed. 
 
Try modifying your yum.conf file to include both the x86_64 and i386 
repositories.  If that doesn't fix the problem, I'll have to 
reassign this to the yum maintainer. 
Comment 2 Doug Morton 2004-09-19 11:58:48 EDT
I have an FC2 x86_64 box that I've been running for several months
with no problems (SK8V, opteron 142, single disc SATA, 1GB ram, Radeon
9800 pro).  It was created using the "install everything option" and
has all available updates installed except for the most recent version
of samba.  Both up2date and yum give the same error.

here is output from yum:
  [root]# yum update samba
  Gathering header information file(s) from server(s)
  Server: Fedora Core 2 - x86_64 - Base
  Server: Fedora Core 2 - x86_64 - Released Updates
  Finding updated packages
  Downloading needed headers
  Resolving dependencies
  ......Unable to satisfy dependencies
  Package samba needs samba-common = 0:3.0.3, this is not available.
  [root]#


rpm says I have the following samba packages (these were installed
using up2date):

samba-3.0.3-5
samba-client-3.0.3-5
samba-common-3.0.3-5
samba-swat-3.0.3-5

A couple of BBS's report getting around this problem by either
removing and reinstalling samba or by using the '--force' option. 
Thus far, I have not tried either of these.
Comment 3 Doug Morton 2004-09-19 13:04:28 EDT
Here is my initial rpm package query output:

# rpm -a -q --queryformat "%{name}-%{version}-%{release}-%{arch}\n" |
egrep samba
system-config-samba-1.2.9-2-noarch
samba-client-3.0.3-5-x86_64
samba-swat-3.0.3-5-x86_64
samba-common-3.0.3-5-x86_64
samba-3.0.3-5-i386
samba-3.0.3-5-x86_64

I then added two new sections to my yum.conf file to include the i386
architecture for base and released updates.  It worked!
 Here is the end of yum's output (after downloading a long list of
package headers):

...

Resolving dependencies
..Dependencies resolved
I will do the following:
[update: samba 3.0.7-2.FC2.x86_64]
[update: samba 3.0.7-2.FC2.i386]
I will install/upgrade these to satisfy the dependencies:
[deps: samba-client 3.0.7-2.FC2.x86_64]
[deps: samba-swat 3.0.7-2.FC2.x86_64]
[deps: samba-common 3.0.7-2.FC2.x86_64]
Is this ok [y/N]: y
Downloading Packages
Getting samba-client-3.0.7-2.FC2.x86_64.rpm
samba-client-3.0.7-2.FC2. 100% |=========================| 3.7 MB    00:12
Getting samba-3.0.7-2.FC2.x86_64.rpm
samba-3.0.7-2.FC2.x86_64. 100% |=========================|  14 MB    00:52
Getting samba-swat-3.0.7-2.FC2.x86_64.rpm
samba-swat-3.0.7-2.FC2.x8 100% |=========================| 6.6 MB    00:19
Getting samba-3.0.7-2.FC2.i386.rpm
samba-3.0.7-2.FC2.i386.rp 100% |=========================|  13 MB    00:38
Getting samba-common-3.0.7-2.FC2.x86_64.rpm
samba-common-3.0.7-2.FC2. 100% |=========================| 4.6 MB    00:13
Running test transaction:
Test transaction complete, Success!
warning: /etc/samba/smb.conf created as /etc/samba/smb.conf.rpmnew
samba-common 100 % done 1/10
samba 100 % done 2/10
samba-client 100 % done 3/10
warning: /etc/logrotate.d/samba created as /etc/logrotate.d/samba.rpmnew
warning: /etc/pam.d/samba created as /etc/pam.d/samba.rpmnew
warning: /etc/samba/smbusers created as /etc/samba/smbusers.rpmnew
warning: /etc/sysconfig/samba created as /etc/sysconfig/samba.rpmnew
samba 100 % done 4/10
samba-swat 100 % done 5/10
Completing update for samba-client  - 6/10
Completing update for samba  - 7/10
Completing update for samba-swat  - 8/10
Completing update for samba  - 9/10
Completing update for samba-common  - 10/10
Updated:  samba 3.0.7-2.FC2.x86_64 samba 3.0.7-2.FC2.i386
Dep Installed:  samba-client 3.0.7-2.FC2.x86_64 samba-swat
3.0.7-2.FC2.x86_64 samba-common 3.0.7-2.FC2.x86_64

My yum.conf file looks like this:

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
retries=20

[base]
name=Fedora Core $releasever - $basearch - Base
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/

[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/

[i386-base]
name=Fedora Core $releasever - i386 - Base
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/i386/os/

[i386-updates-released]
name=Fedora Core $releasever - i386 - Released Updates
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/i386/

#[updates-testing]
#name=Fedora Core $releasever - $basearch - Unreleased Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/$releasever/$basearch/

#[development]
#name=Fedora Core $releasever - Development Tree
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/


and, the final output from the rpm package query:
[root]# rpm -a -q --queryformat
"%{name}-%{version}-%{release}-%{arch}\n" |
> egrep samba
system-config-samba-1.2.9-2-noarch
samba-swat-3.0.7-2.FC2-x86_64
samba-3.0.7-2.FC2-i386
samba-3.0.7-2.FC2-x86_64
samba-common-3.0.7-2.FC2-x86_64
samba-client-3.0.7-2.FC2-x86_64
[root]#

I HAVE ONE QUESTION:  
Are there any consequences to leaving my yum.conf file like this?


Thanks,  Doug Morton
Comment 4 Doug Morton 2004-09-19 13:37:03 EDT
Since up2date has the same error, I suppose it needs to be
reconfigured, too...
Comment 5 Andy Grover 2004-09-20 15:36:07 EDT
Should this be a up2date or yum bug, then? i.e. that on x86_64 have 
i386 repos listed as well?

(OT: I'd also like to know why I need both i386 and x86_64 samba 
binaries...)
Comment 6 Andy Grover 2004-09-22 17:50:29 EDT
Reassigning to yum component. I think if the default x86_64 yum.conf
included i386 repos, then yum will work better for people who install
multilib.
Comment 7 Matthew Miller 2005-04-26 12:29:29 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Seth Vidal 2005-07-29 14:17:53 EDT
closing->wontfix

Note You need to log in before you can comment on or make changes to this bug.